package cn.axzo.msg.center.dal;

import cn.axzo.msg.center.dal.mapper.MessageTemplateRouterMapper;
import cn.axzo.msg.center.domain.entity.MessageTemplateRouter;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

/**
 * @description
 *
 * @author cold_blade
 * @date 2023/9/28
 * @version 1.0
 */
@Slf4j
@Component
public class MessageTemplateRouterDao extends ServiceImpl<MessageTemplateRouterMapper, MessageTemplateRouter> {

    /**
     * 通过模板编码获取对应的路由列表
     *
     * @param templateCodes  模板编码列表
     * @return 路由列表
     */
    public List<MessageTemplateRouter> listByTemplateCode(List<String> templateCodes) {
        if (CollectionUtils.isEmpty(templateCodes)) {
            return Collections.emptyList();
        }
        return lambdaQuery()
                .in(MessageTemplateRouter::getTemplateCode, templateCodes)
                .eq(MessageTemplateRouter::getIsDelete, 0)
                .list();
    }
}
